CREATE TABLE IF NOT EXISTS `#__ats_credittransactions` (
  `ats_credittransaction_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL DEFAULT '0',
  `transaction_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `type` varchar(70) NOT NULL DEFAULT 'ats',
  `unique_id` varchar(180) NOT NULL DEFAULT '',
  `value` int(11) NOT NULL DEFAULT '10',
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`ats_credittransaction_id`),
  KEY `#__ats_creditstransactions_userid` (`user_id`),
  KEY `#__ats_creditstransactions_foreignids` (`type`,`unique_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__ats_creditconsumptions` (
  `ats_creditconsumption_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `ats_credittransaction_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `value` int(11) NOT NULL DEFAULT '0',
  `type` enum('ticket','post') NOT NULL DEFAULT 'ticket',
  `ats_ticket_id` bigint(20) NOT NULL,
  `ats_post_id` bigint(20) NOT NULL,
  PRIMARY KEY (`ats_creditconsumption_id`),
  KEY `#__ats_creditconsumptions_transaction` (`ats_credittransaction_id`),
  KEY `#__ats_creditconsumptions_userid` (`user_id`),
  KEY `#__ats_creditconsumptions_ticketpost` (`type`,`ats_ticket_id`,`ats_post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;